package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentPerformanceInfo;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentSocietyInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0
 * @date
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentPerformanceInfoMapper extends BaseMapper<EnrollmentPerformanceInfo> {
    EnrollmentPerformanceInfo getById(@Param("id") String id);

    List<EnrollmentPerformanceInfo> getByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);
   void deleteByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);

}
